#!/bin/sh
# This is a simple script to report status of run.rpt and compile.rpt
find ${*:-.} -name compile.rpt -print |\
  while read x; do
    dir=`dirname $x`
    echo ${dir}
    echo "  Compile:"
    echo "    SUCCESS:  `grep -cw SUCCESS $x`"
    echo "      KNOWN:  `grep -cw KNOWN $x`"
    echo "        NEW:  `grep -cw NEW $x`"
    echo "  Run:"
    r="$dir/run.rpt"
    if [ -e "$r" ] ; then
      echo "    SUCCESS:  `grep -cw SUCCESS $r`"
      echo "      KNOWN:  `grep -cw KNOWN $r`"
      echo "       TIME:  `grep -cw TIME/NEW $r`"
      echo "        NEW:  `grep -c '[^E]/NEW' $r`"
      i=`find $dir -name 'runlist_*' -print |\
         grep 'runlist_[0-9]\+_[0-9]\+$' |\
         while read y; do
           if [ -e "${y}-complete" -o -z "$y" ] ; then
             : # nothing
           else
             echo "$y"
           fi
          done | wc -l`
      if [ "$i" -gt 0 ]; then
        echo "   + $i runlist(s) pending"
      fi
    else
      echo "   No status to report"
    fi
  done
